×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    Packaging Qt app - 4.5.3 or 4.6?

    Hello,

    My application does not use anything specific for Qt 4.6. If I package it with Qt 4.5.3, the libraries will be installed in root partition, which is not really the best solution. Qt 4.6 is at Technical Preview status but it installs in /opt. I am not sure whether it advisable to use it at this moment.

    Suggestions?



    Boris.

  2. #2
    Nokia Developer Moderator
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Packaging Qt app - 4.5.3 or 4.6?

    Quote Originally Posted by boris_r View Post
    Hello,

    My application does not use anything specific for Qt 4.6. If I package it with Qt 4.5.3, the libraries will be installed in root partition, which is not really the best solution. Qt 4.6 is at Technical Preview status but it installs in /opt. I am not sure whether it advisable to use it at this moment.

    Suggestions?



    Boris.
    Is your question about specifying build dependencies? Qt 4.5.3 is installed in / and that's not going to change and this is not something you should worry about. Day will come and 4.5.3 will be upgraded to 4.6. At that point you will have to rebuild your binary packages to make them usable with Qt 4.6.
    Last edited by divanov; 2010-01-04 at 17:13.

  3. #3
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    Re: Packaging Qt app - 4.5.3 or 4.6?

    Quote Originally Posted by divanov View Post
    Is your question about specifying build dependencies? Qt 4.5.3 is installed in / and that's not going to change and this is not something you should vary about. Day will come and 4.5.3 will be upgraded to 4.6. At that point you will have to rebuild your binary packages to make them usable with Qt 4.6.
    Are Qt 4.5.3 installed in all devices by default? I needed to apt-get them before..

  4. #4
    Nokia Developer Moderator
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Packaging Qt app - 4.5.3 or 4.6?

    Quote Originally Posted by boris_r View Post
    Are Qt 4.5.3 installed in all devices by default? I needed to apt-get them before..
    Core package is pre-installed, others are not. From this point of view there is no difference between Qt 4.6 and Qt 4.5.3.

  5. #5
    Registered User
    Join Date
    Jul 2008
    Posts
    3

    Re: Packaging Qt app - 4.5.3 or 4.6?

    Thanks Daniil, I thought that starting from 4.6 Qt libraries will be placed in /opt/qt4-bla as it is with 4.6 now. If / is full, well, up to user to take actions.


    Boris.

  6. #6
    Nokia Developer Moderator
    Join Date
    Oct 2009
    Posts
    4,326

    Re: Packaging Qt app - 4.5.3 or 4.6?

    Quote Originally Posted by boris_r View Post
    Thanks Daniil, I thought that starting from 4.6 Qt libraries will be placed in /opt/qt4-bla as it is with 4.6 now. If / is full, well, up to user to take actions.


    Boris.
    Qt 4.6 will install in /opt/ and it's already like that.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •